#ifndef LSVPD_SYSFS_H
#define LSVPD_SYSFS_H

/*
  lsvpd - sysfs-related definitions for the lsvpd package.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: sysfs.h,v 1.1 2006/04/11 18:38:28 emunson Exp $
*/

#include "node.h"

extern char * lsvpd_sysfs_dir;

extern char *
sysfs_get_device_node(const node_t bus_type,
		      const bus_addr_t bus_addr);

#endif
